apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.22.0 (955b78124)
  creationTimestamp: null
  labels:
    io.kompose.service: mongodb-profile
  name: mongodb-profile
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: mongodb-profile
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.22.0 (955b78124)
        sidecar.istio.io/statsInclusionPrefixes: cluster.outbound,cluster_manager,listener_manager,http_mixer_filter,tcp_mixer_filter,server,cluster.xds-grp,listener,connection_manager
        sidecar.istio.io/statsInclusionRegexps: http.*
      creationTimestamp: null
      labels:
        io.kompose.service: mongodb-profile
    spec:
      containers:
        - image: mongo:latest
          name: hotel-reserv-profile-mongo
          ports:
            - containerPort: 27017
              #resources:
              #requests:
              #cpu: 100m
              #limits:
              #cpu: 1000m
          volumeMounts:
            - mountPath: /data/db
              name: profile
      hostname: profile-db
      restartPolicy: Always
      volumes:
        - name: profile
          persistentVolumeClaim:
            claimName: profile-pvc
status: {}
